## pacvim 1.1.1

=== Makefile ===
TARGET     =  pacvim
PREFIX    ?=  /usr/
BINDIR     =  $(PREFIX)/games
MAPDIR     =  $(PREFIX)/share/pacvim-maps
OBJS      :=  $(patsubst %.cpp,%.o,$(wildcard src/*.cpp))
MAPS      :=  $(wildcard maps/*)
CXX       ?=  g++
CXXFLAGS  +=  -std=c++11 -DMAPS_LOCATION='"$(MAPDIR)"'
LDLIBS    +=  -lncurses -lpthread

ifneq ($(shell uname -s 2>/dev/null || echo nop),Darwin)
# OS has POSIX threads in libc
CXXFLAGS += -pthread
endif

$(TARGET): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o $@ $(LDLIBS)

install: $(TARGET)
	install -d $(DESTDIR)$(BINDIR)
	install -Dm755 $(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)
	install -d $(DESTDIR)$(MAPDIR)
	install -t $(DESTDIR)$(MAPDIR) $(MAPS)

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/$(TARGET)
	$(RM) -r $(DESTDIR)$(MAPDIR)

clean:
	$(RM) $(wildcard src/*.o) $(TARGET)

.PHONY: install uninstall clean

=== debian/changelog ===
pacvim (1.1.1-1) unstable; urgency=medium

  * re-upload source only

 -- kokoye2007 <kokoye2007@gmail.com>  Tue, 21 Jan 2020 14:07:36 +0630

pacvim (1.1.1-1~exp1) unstable; urgency=medium

  * Initial release (Closes: #902435)

 -- kokoye2007 <kokoye2007@gmail.com>  Mon, 09 Sep 2019 09:17:19 +0630

=== debian/control ===
Source: pacvim
Section: games
Priority: optional
Maintainer: kokoye2007 <kokoye2007@gmail.com>
Build-Depends: debhelper, debhelper-compat (= 12), libncurses5-dev
Standards-Version: 4.4.1
Homepage: https://github.com/jmoon018/PacVim
Vcs-Browser: https://salsa.debian.org/kokoye2007-guest/pacvim
Vcs-Git: https://salsa.debian.org/kokoye2007-guest/pacvim.git

Package: pacvim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: pacman game concept with vim command
 PacVim is a game that teaches you vim commands. You must
 move pacman (the green cursor) to highlight each word on
 the gameboard while avoiding the ghosts (in red).
 .
 Vim is a great tool to write and edit code, but many people, including me,
 struggled with the steep learning curve. I did not find a fun, free way to
 learn about the vim commands in-depth, and thus, PacVim was born. Inspired by
 the classic, PacMan, PacVim is a game that'll give anyone plenty of practice
 with the vim commands while being a ton of fun to play.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_usrlocal:

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/pacvim/usr/share/pacvim-maps/*
